Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
courses
/
{courseSid}
/
exams
/
{examSid}
Exam Details
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid} \
  --header 'token: <api-key>'
{
  "sessionStatus": "<string>",
  "sid": "<string>",
  "courseSid": "<string>",
  "applicationInstallSid": "<string>",
  "title": "<string>",
  "bVirtualTitle": "<string>",
  "type": "<string>",
  "description": "<string>",
  "useProctorManager": true,
  "requireApproval": true,
  "enableAppointmentSuggestions": true,
  "url": "<string>",
  "status": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>",
  "contactUserSid": "<string>",
  "examDeliverySystemModule": "<string>",
  "summary": "<string>",
  "pendingApprovals": 123,
  "openSessionEvents": 123,
  "course": "<string>",
  "configuration": "<string>",
  "examSession": "<string>",
  "instructorName": "<string>",
  "courseName": "<string>",
  "totalSessions": 123,
  "needsProctorSessions": 123,
  "scriptName": "<string>",
  "systemName": "<string>",
  "isLimitedScope": true,
  "platformVersion": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Pattern: AI + 32 hex chars.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

courseSid
string
required

Unique SID of the course. Pattern: CU + 32 hex chars.

Pattern: ^CU[a-f0-9]{32}$
Example:

"CU1234567890abcdef1234567890abcdef"

examSid
string
required

Unique SID of the exam to retrieve. Pattern: EX + 32 hex chars.

Pattern: ^EX[a-f0-9]{32}$
Example:

"EX1234567890abcdef1234567890abcdef"

Response

200 - application/json

Successful

sessionStatus
string | null

Session status

sid
string | null

Exam SID

courseSid
string | null

Course SID

applicationInstallSid
string | null

Application install SID

title
string | null

Exam title

bVirtualTitle
string | null

Virtual title

type
string | null

Exam type

description
string | null

Description

useProctorManager
boolean | null

Use proctor manager

requireApproval
boolean | null

Require approval

enableAppointmentSuggestions
boolean | null

Enable appointment suggestions

url
string | null

Exam URL

status
string | null

Exam status

createdDate
string | null

Created date

editDate
string | null

Last modified date

contactUserSid
string | null

Contact user SID

examDeliverySystemModule
string | null

Exam delivery system module

summary
string | null

Exam summary

pendingApprovals
number | null

Pending approvals count

openSessionEvents
number | null

Open session events count

course
string | null

Course details

configuration
string | null

Exam configuration

examSession
string | null

Exam session

instructorName
string | null

Instructor name

courseName
string | null

Course name

totalSessions
number | null

Total sessions

needsProctorSessions
number | null

Sessions needing proctor

scriptName
string | null

Script name

systemName
string | null

System name

isLimitedScope
boolean | null

Is limited scope

platformVersion
string | null

Platform version